:host,
:root {

    --border-radii: 5px;
    --anchor-offset: -147px;
}



html {
    scroll-behavior: smooth;
}





.dbamp-diagram-inner {
    /*min-height: 525px;*/
    display: flex;
    align-items: center;
    justify-content: center;
}

.dbamp-diagram-inner::before {
    background: url(/dbamp/img/ellipses-26.svg) no-repeat 50% / contain;
    content: '';
    width: 100%;
    height: 400px;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    position: absolute;
}

.dbamp-diagram-inner svg {
    max-width: 100%;
}

.diagram_box {
    background-color: #ffffff;
    padding: 1.5rem;
    border-radius: 6px;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    filter: drop-shadow(0px 3.431px 13.723px rgba(4, 100, 176, 0.10));
}

.diagram_box img {
    max-width: 100%;
    display: block;
}

.diagram_boxTall {
    padding: 2.5rem 1.75rem;
}

.diagram_salesforce {
    grid-area: salesforce;

}

.diagram_arrow1 {
    grid-area: arrow1;
}

.diagram_dbamp {
    grid-area: dbamp;
}

.diagram_arrow2 {
    grid-area: arrow2;
}

.diagram_sql {
    grid-area: sql;
    display: flex;
    flex-direction: column;
    gap: 16px;
}

.diagram_sql span {
    font-size: 13px;
    line-height: 1.1;
}

.diagram_sql div {
    width: 100%;
    padding: 10px 4px;
    text-align: center;
    font-weight: 500;
    border-radius: 3.916px;
    border: 0.783px solid #BECDD9;
    background-color: #ffffff;
    box-shadow: 0px 5.667px 11.334px 0px rgba(4, 100, 176, 0.10);
    font-size: 13px;
}

.dbamp-diagram-inner .main-diagram {
    display: grid;
    grid-template-columns: minmax(225px, 1fr);
    grid-template-rows: auto 60px auto 60px auto;
    grid-template-areas:
        "salesforce"
        "arrow1"
        "dbamp"
        "arrow2"
        "sql";
    z-index: 1;
}

.accordion-tabs .list-block {
    margin: 0 0 var(--space-32);
    display: flex;
    -ms-flex-wrap: wrap;
    flex-wrap: wrap;
    padding: 8px 0;
    list-style: none;
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    justify-content: center;
    position: relative;
    background: var(--surface-fill-1);
    border-radius: 30px;
    border: 1px solid var(--surface-fill-3);
}

.accordion-tabs .list-block .nav-item {

    text-align: center;
    position: relative;
    margin: 0 8px;
}

.accordion-tabs .list-block .nav-item a {
    font-size: 14px;
    color: #333;
    font-weight: 500;
    text-decoration: none;
    line-height: 1.28;
    padding: 10px 18px;
    display: inline-block;
    border-radius: 30px;
    transition: all 0.2s ease-in-out;
}

.accordion-tabs .list-block .nav-item a:hover,
.accordion-tabs .list-block .nav-item a:active,
.accordion-tabs .list-block .nav-item a:focus {
    background-color: var(--surface-fill-3);
}

.accordion-tabs .list-block .nav-item.active a {
    color: #FFF;
    background-color: var(--brand-resolve);

}

.accordion-sections .tab-content {
    padding-left: 0;
}



.resource-grid {
    display: grid;
    grid-template-columns: 1fr;
    gap: 15px;
    --border-color: var(--surface-fill-3);
}

.resource-grid>div {
    border: 1px solid var(--border-color);
    padding: 1.5rem;
    border-radius: 5px;
    display: grid;
    grid-template-columns: 30px 1fr;
    gap: 15px;
    background-color: var(--surface-fill-1);

}

.resource-grid>div .step {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 30px;
    height: 30px;
    background-color: var(--brand-resolve);
    color: var(--gray-1);
    border-radius: 100%;
    font-size: 14px;
    font-weight: 700;
}



/* BS carousel */
.carousel-controls-wrapper {
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 10px 10px 0;
    gap: 12px;
    font-size: 20px;
}

.carousel-controls-wrapper a {
    padding: 8px;
}

.carousel-indicators {
    position: relative;
    left: auto;
    bottom: auto !important;
    margin: 0;
    width: auto;
    line-height: 0;
}

.carousel-inner {
    z-index: 1;
    min-height: 210px;
}




@media (min-width:768px) {
    .dbamp-diagram-inner .main-diagram {
        grid-template-columns: 1fr 30px 1fr 30px 1fr;
        grid-template-rows: auto;
        grid-template-areas:
            "salesforce arrow1 dbamp arrow2 sql";
        place-items: center;

    }
}

@media (max-width:767px) {

    .diagram_arrow1,
    .diagram_arrow2 {
        display: flex;
        justify-content: center;
    }

    .dbamp-diagram-inner {
        margin-top: 40px;
    }

    .dbamp-diagram-inner::before {
        top: 37.6%;
    }

    .double-arrow {
        transform: rotate(90deg) translate(20px, 0px);
    }

    .line2 {
        transform: rotate(90deg) translate(26px, 0px);
    }

}

pre {
    background-color: var(--surface-fill-3);
    padding: 15px;
    color: #3B3B3B;
    border-color: var(--surface-fill-4);
}

pre .command {
    color: #c7254e;
}

pre .purple {
    color: #9900f1
}

pre .value {
    color: #0A57B1
}

pre .valueDrk {
    color: #063267
}

pre .comment {
    color: #6E7781;
}

pre .green {
    color: #008000;
}

#top-navigation-cloud .top-navigation ul>li.active>a:not(.btn)::after {
    transform: scaleX(1);
}

#top-navigation-cloud .top-navigation ul>li.active a:not(.btn) {
    color: var(--brand-resolve);
}